View Issue Details

IDProjectCategoryView StatusLast Update
0004207Talerwallet (WebExtensions)public2016-10-11 17:28
ReporterChristian GrothoffAssigned ToFlorian Dold 
PriorityhighSeveritytextReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004207: wallet contains incomprehensible messages
DescriptionLooking at the strings to translate, some of the messages will not be comprehensible for most users:

"The URL you've entered is not valid (must be absolute)"
"Sie haben kein Digitalgeld. Wollen Sie %1$s? abheben?"
are almost harmless.

But this:
"The bank wants to create a reserve over %1$s."
"Reserve (%1$s) mit %2$s bei %3$s erzeugt"
"Bank confirmed reserve (%1$s) at %2$s"
"Wallet depleted reserve (%1$s) at %2$s"

is incomprehensible Taler-talk. We need to find better formulations.
TagsNo tags attached.

Relationships

related to 0004696 closedFlorian Dold should improve texts shown in history 
related to 0004468 closedFlorian Dold UI should never mention "reserve" 

Activities

Florian Dold

2016-02-24 18:18

manager   ~0010185

I agree, those are pretty incomprehensible.

Do we even want to show the individual coin withdraw messages to the user?

Do we want the user to see when a reserve was created but not confirmed?

To me this also seems to look like an issue of aggregating and filtering things from the event log before displaying them to the user.

Christian Grothoff

2016-09-29 11:07

manager   ~0011203

Let's look at the dialogs one-by one.

Withdraw interaction (detail view):

Withdraw cost: 0.2 KUDOS
=> This should be "Withdraw fees" (to match "accept fees and withdraw")
Advanced options:
=> This is not quite right, we specifically should say which option, i.e.
   "select different provider"

I think we should show the fees *above* the accept button, as they are the key thing the user is accepting. The detail view can then be afterwards.

Layout wise, maybe even:

Withdraw fees: XX.YY CURRENCY [Accept fees and withdraw]

[select different provider]

Then, if expanded, don't just put the URI of the exchange in an input box, but say what it is, i.e.:

Payment service provider: [exchange URI]


[show more details]
=> show fee structure


Fee for withdrawal: 0.12 KUDOS
=> Withdraw fees (use same text as above!)

Overhead: 0.08 KUDOS
=> Rounding loss


Table:
Replace "Count" with "# coins"?
Also definitively needs more space between the fee texts.

Christian Grothoff

2016-09-29 11:13

manager   ~0011204

Pay dialog:

Existing:

Kudos Inc. wants to enter a contract over 0.10 KUDOS with you.

You are about to purchase:

* Essay: 3. The Initial Announcement of the GNU Operating System: 0.10 KUDOS


Proposed:

Do you want to pay 0.10 KUDOS to Kudos Inc. for:

* Essay: 3. The Initial Announcement of the GNU Operating System: ALIGN 0.10 KUDOS

Here "align" is space inserted to ensure alignment of the amounts for multiple items, i.e. a </td><td> if we put everything into an (invisible) table. Modern CSS may have a better way...


I'd then align the "confirm payment" button at the *center* of the dialog (least mouse movement on average).

[show more details]
=> [show contract details]
[show less details]
=> [hide contract details]

Then have some space between the contract details and the [show less details].

Christian Grothoff

2016-09-29 11:15

manager   ~0011205

You do not have enough coins of the requested currency.

=> You have insufficient funds of the requested currency in your wallet.

(I think that's slightly clearer/better. Negation ("not") is always bad, and "coins" is again a bit Taler-ish, while "funds" is more general. And I think it helps to clarify that this is about the wallet, which here is unlike a credit card ;-))

Christian Grothoff

2016-09-29 11:16

manager   ~0011206

chrome-extension://millncjiddlpgdmkklmhfadpacifaonc/pages/help/empty-wallet.html

=> Should apply the same styling the rest of the Taler wallet pages get, right now it shows up WAY too wide on my screen.

Florian Dold

2016-10-10 03:20

manager   ~0011280

Those are all fixed by now.

Issue History

Date Modified Username Field Change
2016-02-24 18:02 Christian Grothoff New Issue
2016-02-24 18:02 Christian Grothoff Status new => assigned
2016-02-24 18:02 Christian Grothoff Assigned To => Florian Dold
2016-02-24 18:18 Florian Dold Note Added: 0010185
2016-02-24 18:18 Florian Dold Status assigned => confirmed
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004278
2016-09-29 10:56 Christian Grothoff Relationship added related to 0004468
2016-09-29 10:57 Christian Grothoff Relationship added related to 0004696
2016-09-29 11:07 Christian Grothoff Note Added: 0011203
2016-09-29 11:13 Christian Grothoff Note Added: 0011204
2016-09-29 11:15 Christian Grothoff Note Added: 0011205
2016-09-29 11:16 Christian Grothoff Note Added: 0011206
2016-10-10 03:20 Florian Dold Note Added: 0011280
2016-10-10 03:20 Florian Dold Status confirmed => resolved
2016-10-10 03:20 Florian Dold Resolution open => fixed
2016-10-11 17:24 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed